Page MenuHomePhabricator

Goal: First Wikimania Hackathon fully integrated with the main program and the editor community
Closed, ResolvedPublic

Description

More event information and updates here: https://wikimania2015.wikimedia.org/wiki/Hackathon

Part of T101100: Engineering Community quarterly goals for July-September 2015

Status

Successfully completed!

23 hackathon projects showcased on Wikimania’s first official day.

About 50% of the attendance in the showcase had not participated in the hackathon.

All participants requesting a buddy got one, making a total of 22 buddy pairs.

  • Volunteer @siebrand was a very helpful co-organizer supporting @Rfarrand.
  • A smaller Hackathon space was available during all Wikimania, hosting small meetings and work.
  • Survey: 87% of participants had a positive/very positive experience, 0% negative/very negative.
  • Lessons learned

Measurement of success

  • Hackathon Showcase features at least 8 demos produced at the event in front of a mixed audience of developers and editors.

Done! 23 projects were showcased at the hackthon showcase. About 50% of the audience had not attended that hackathon. https://etherpad.wikimedia.org/p/T102034

  • All newcomers and editors joining the hackathon get a tech savvy buddy.

All newcomers *who wanted a buddy* were paired up with a buddy in advance of the hackathon. We had 22 buddy pairs (44 people participating or almost 1/4 of the event) This worked out well for some people, although I am not sure the buddy system works as well at the Wikimania Hackathon as it does at the Wikimedia hackathon. We should reexamine this before deciding to use the buddy system again next year.

Dependency

  • Wikimania organization team
  • Wikimedia Mexico
  • hackathon projects leads

ETA

ECT-July-2015

Relation with WMF Call to Action

Related Objects

Event Timeline

Qgil created this task.Jun 10 2015, 8:39 AM
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from to Normal.
Qgil assigned this task to Rfarrand.
Qgil added subscribers: Qgil, siebrand.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 10 2015, 8:39 AM
Qgil added a comment.Jun 10 2015, 8:57 AM

@Rfarrand, @siebrand, I created this task while working on T101100, now it's all yours. Please add a description explaining the goal and also complete the list of blockers (T93584 might be useful as a reference).

Rfarrand updated the task description. (Show Details)Jul 1 2015, 11:15 AM
Rfarrand set Security to None.
Elitre added a subscriber: Elitre.Jul 7 2015, 3:06 PM
Qgil moved this task from Backlog to Doing on the ECT-July-2015 board.Jul 28 2015, 4:00 PM
Rfarrand raised the priority of this task from Normal to High.Aug 8 2015, 12:54 AM
Rfarrand moved this task from Backlog to Doing on the ECT-August-2015 board.Sep 1 2015, 4:02 PM
Rfarrand moved this task from Backlog to Doing on the DevRel-September-2015 board.
Rfarrand closed this task as Resolved.Sep 1 2015, 10:28 PM

Success! This year the hackathon was more integrated with the main event of Wikimania because there was hacking ongoing throughout all of Wikimania and we held a hackathon showcase just before the closing of the main event.

Qgil added a comment.Sep 2 2015, 7:41 AM

Can you edit the description to explain how the measurements of success were met, please?

Rfarrand updated the task description. (Show Details)Sep 15 2015, 5:08 PM
Rfarrand updated the task description. (Show Details)Sep 15 2015, 5:19 PM

Added the explanations in the description.

Qgil updated the task description. (Show Details)Oct 1 2015, 1:28 PM
Qgil awarded a token.